import type { Properties, FontFace as FontFaceObject, KeyframesObject } from "./style-types";
export type { FontFaceObject, KeyframesObject };
export declare type StyleObject = Properties & {
    [key in string]: Properties[keyof Properties] | StyleObject;
};
export interface StandardEngine {
    renderStyle(style: StyleObject): string;
    renderKeyframes(keyframes: KeyframesObject): string;
    renderFontFace(fontFace: FontFaceObject): string;
}
export declare function driver(style: StyleObject, styletron: StandardEngine): string;
export declare function getInitialStyle(): StyleObject;
export declare function renderDeclarativeRules(style: StyleObject, styletron: StandardEngine): StyleObject;
//# sourceMappingURL=index.d.ts.map