import type { StandardProperties, VendorProperties, ObsoleteProperties, SvgProperties, Property, AtRule } from "csstype";
export interface KeyframesPercentageObject {
    [key: string]: Properties;
}
export declare type KeyframesObject = KeyframesPercentageObject & {
    from?: Properties;
    to?: Properties;
};
export declare type AnimationNameProperty = Property.AnimationName | KeyframesObject;
export declare type FontFace = AtRule.FontFace;
export declare type FontFamilyProperty = Property.FontFamily | FontFace;
declare type TLength = string | 0;
export declare type Properties = {
    animationName?: AnimationNameProperty;
    fontFamily?: FontFamilyProperty | FontFamilyProperty[];
    MozAnimationName?: AnimationNameProperty;
    WebkitAnimationName?: AnimationNameProperty;
    OAnimationName?: AnimationNameProperty;
} & Omit<StandardProperties<TLength> & VendorProperties<TLength> & ObsoleteProperties<TLength> & SvgProperties<TLength>, "animationName" | "fontFamily" | "MozAnimationName" | "WebkitAnimationName" | "OAnimationName">;
export {};
//# sourceMappingURL=style-types.d.ts.map